This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 716610 - (ghc-monad-peel) Review Request: ghc-monad-peel - A library to lift control in monad transformers
Review Request: ghc-monad-peel - A library to lift control in monad transformers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 662481
  Show dependency treegraph
 
Reported: 2011-06-25 09:23 EDT by Narasimhan
Modified: 2011-11-28 06:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-28 06:54:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-06-25 09:23:04 EDT
spec file : http://narasim.fedorapeople.org/package_reviews/ghc-monad-peel.spec

srpm file : http://narasim.fedorapeople.org/package_reviews/ghc-monad-peel-0.1-1.fc15.src.rpm

rpmlint output:
 rpmlint -i ghc-monad-peel.spec ~/rpmbuild/RPMS/x86_64/ghc-monad-peel-*.rpm ~/rpmbuild/SRPMS/ghc-monad-peel-0.1-1.fc15.src.rpm 
ghc-monad-peel.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-monad-peel-devel.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-monad-peel.src: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 2 Ben Boeckel 2011-07-25 22:33:40 EDT
I'll take this.

Initial impressions:

 - Remove '@' characters from the %common_description.
 - Update to cabal2spec-0.24
Comment 3 Narasimhan 2011-07-31 00:27:39 EDT
Spec file link:
http://narasim.fedorapeople.org/package_reviews/ghc-monad-peel.spec

SRPM link
http://narasim.fedorapeople.org/package_reviews/ghc-monad-peel-0.1-1.fc15.src.rpm

rpmlint  -i ~/rpmbuild/RPMS/i686/ghc-monad-peel-devel-0.1-2.fc14.i686.rpm ~/rpmbuild/RPMS/i686/ghc-monad-peel-0.1-2.fc14.i686.rpm ~/rpmbuild/SRPMS/ghc-monad-peel-0.1-2.fc14.src.rpm ghc-monad-peel.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

cabal2spec 0.24 is not available for f14,f15. I made a local build, then installed and used it.
Comment 4 Jens Petersen 2011-11-23 07:39:49 EST
Is this still needed?

http://packdeps.haskellers.com/reverse/monad-peel
Comment 5 Narasimhan 2011-11-28 06:54:22 EST
Can be closed I guess.

Note You need to log in before you can comment on or make changes to this bug.